#include<bits/stdc++.h>
using namespace std;
long long fcif(long long n){
	int br=0;
	while(n>0){
		br++;
		n=n/2;
	}
	return br;
}
int main(){
	long long n;
	cin>>n;
	long long cif=fcif(n)-1;
	long long k=pow(10,cif);
	long long d;
	long long pom[3]={1,2,5};
	if(5*k<n)d=2;
	else{
		if(2*k<n)d=1;
		else d=0;
	}
	long long br=0;
	while(k>0){
		br=br+n/(pom[d]*k);
		n=n%(pom[d]*k);
		d--;
		if(d<0){
			d=2;
			k=k/10;
		}
	}
	cout<<br;
}